package com.jxml.quick.access;
import com.jxml.quick.*;
import com.jxml.quick.tf.*;

public class QPETargetClassAccess extends QSimpleAccess
{
    protected Object get(Object parent, QContext context)
	throws QPE
    {
	return ((QPropertyEditor)parent).getTargetClassName();
    }

    public void add(Object parent, 
		    QTargetFactory parentFactory,
		    Object child, 
		    QContext context)
	throws QPE
    {
	((QPropertyEditor)parent).setTargetClassName((String)child,context);
    }
}
